Runtime

## org.eclipse.gmf.runtime.notation
Interface Diagram

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, View

All Known Subinterfaces:
  StandardDiagram

All Known Implementing Classes:
  DiagramImpl, StandardDiagramImpl

    public interface Diagram

extends View

A representation of the model object 'Diagram'.

A diagram is a view that represents the top level containment of views

The following features are supported:

- `Name`
- `Measurement Unit`
- `Persisted Edges`
- `Transient Edges`

See Also:
  `NotationPackage.getDiagram()`
** Generated **
Model:

Method Summary
`Edge` `createEdge(org.eclipse.emf.ecore.EClass eClass)` A utililty method to create a new `Edge` from the given `eClass` paramter and then inserts the object in the diagrams's Edges collection
`org.eclipse.emf.common.util.EList` `getEdges()` Returns the value of the 'Edges' list.
`MeasurementUnit` `getMeasurementUnit()` Returns the value of the 'Measurement Unit' attribute.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`org.eclipse.emf.common.util.EList` `getPersistedEdges()` Returns the value of the 'Persisted Edges' containment reference list.
`org.eclipse.emf.common.util.EList` `getTransientEdges()` Returns the value of the 'Transient Edges' containment reference list.
`void` `insertEdge(Edge edge)` A utililty method to insert a persisted edge
`void` `insertEdge(Edge edge, boolean persisted)` A utililty method to insert a persisted or transient edge
`void` `insertEdgeAt(Edge edge, int index)` A utililty method to insert a persisted edge at a specific index
`boolean` `isSetMeasurementUnit()` Returns whether the value of the '`Measurement Unit`' attribute is set
`void` `persistEdges()` A utililty method to persist all diagram's edges
`void` `removeEdge(Edge edge)` A utililty method to remove an edge form a diagram
`void` `setMeasurementUnit(MeasurementUnit value)` Sets the value of the '`Measurement Unit`' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` `unsetMeasurementUnit()` Unsets the value of the '`Measurement Unit`' attribute

Methods inherited from interface org.eclipse.gmf.runtime.notation.View
`createChild, createStyle, getChildren, getDiagram, getElement, getNamedStyle, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setVisible, unsetElement`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute. The default value is `""`.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `NotationPackage.getDiagram_Name()`
  ** Generated **
  Model:
    default=""

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  ** Generated **

### getMeasurementUnit

    MeasurementUnit getMeasurementUnit()

  Returns the value of the 'Measurement Unit' attribute. The default value is `"Himetric"`. The literals are from the enumeration `MeasurementUnit`.

  If the meaning of the 'Measurement Unit' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Measurement Unit' attribute.
  See Also:
    `MeasurementUnit`, `isSetMeasurementUnit()`, `unsetMeasurementUnit()`, `setMeasurementUnit(MeasurementUnit)`, `NotationPackage.getDiagram_MeasurementUnit()`
  ** Generated **
  Model:
    default="Himetric" unsettable="true"

### setMeasurementUnit

    void setMeasurementUnit(MeasurementUnit value)

  Sets the value of the '`Measurement Unit`' attribute.

  Parameters:
    `value` - the new value of the 'Measurement Unit' attribute.
  See Also:
    `MeasurementUnit`, `isSetMeasurementUnit()`, `unsetMeasurementUnit()`, `getMeasurementUnit()`
  ** Generated **

### unsetMeasurementUnit

    void unsetMeasurementUnit()

  Unsets the value of the '`Measurement Unit`' attribute.

  See Also:
    `isSetMeasurementUnit()`, `getMeasurementUnit()`, `setMeasurementUnit(MeasurementUnit)`
  ** Generated **

### isSetMeasurementUnit

    boolean isSetMeasurementUnit()

  Returns whether the value of the '`Measurement Unit`' attribute is set.

  Returns:
    whether the value of the 'Measurement Unit' attribute is set.
  See Also:
    `unsetMeasurementUnit()`, `getMeasurementUnit()`, `setMeasurementUnit(MeasurementUnit)`
  ** Generated **

### getEdges

    org.eclipse.emf.common.util.EList getEdges()

  Returns the value of the 'Edges' list. The list contents are of type `Edge`.

  If the meaning of the 'Edges' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edges' list.
  See Also:
    `org.eclipse.gmf.runtime.notation.NotationPackage#getDiagram_Edges()`

### getPersistedEdges

    org.eclipse.emf.common.util.EList getPersistedEdges()

  Returns the value of the 'Persisted Edges' containment reference list. The list contents are of type `Edge`.

  If the meaning of the 'Persisted Edges' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Persisted Edges' containment reference list.
  See Also:
    `NotationPackage.getDiagram_PersistedEdges()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.runtime.notation.Edge" containment="true"

### getTransientEdges

    org.eclipse.emf.common.util.EList getTransientEdges()

  Returns the value of the 'Transient Edges' containment reference list. The list contents are of type `Edge`.

  If the meaning of the 'Transient Edges' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Transient Edges' containment reference list.
  See Also:
    `NotationPackage.getDiagram_TransientEdges()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.runtime.notation.Edge" containment="true" transient="true"

### createEdge

    Edge createEdge(org.eclipse.emf.ecore.EClass eClass)

  A utililty method to create a new `Edge` from the given `eClass` paramter and then inserts the object in the diagrams's Edges collection

  Parameters:
    `eClass` - the `EClass` to be used in creating the `Edge` object
  ** Generated **
  Model:

### insertEdge

    void insertEdge(Edge edge)

  A utililty method to insert a persisted edge

  Parameters:
    `edge` - the 'Edge' to insert.

### insertEdgeAt

    void insertEdgeAt(Edge edge,
                      int index)

  A utililty method to insert a persisted edge at a specific index

  Parameters:
    `edge` - the 'Edge' to insert.
    `the` - index of the child

### insertEdge

    void insertEdge(Edge edge,
                    boolean persisted)

  A utililty method to insert a persisted or transient edge

  Parameters:
    `edge` - the 'Edge' to insert.
    `persisted,` - indicate if the Edge will be persisted or not

### persistEdges

    void persistEdges()

  A utililty method to persist all diagram's edges

### removeEdge

    void removeEdge(Edge edge)

  A utililty method to remove an edge form a diagram

  Parameters:
    `edge` - the 'Edge' to remove

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.